# 常驻节点分析

::: tip
TCA客户端除了通过`localscan`命令启动单次的代码分析，也可以作为一个分布式分析节点启动，作为常驻进程，多个节点可以分布式并行执行服务端下发的任务，提高扫描效率。

和本地分析一样，需要先安装环境和必要的工具，并配置好服务端地址。
:::

## 使用场景

- 希望通过并行执行分析来提高分析效率

- 希望尽量使用公共资源或使用专机资源

## 前置步骤

公共/专有机器上具备客户端。

如果是开源版客户端，需要配置相关环境和依赖，可查阅[开源版客户端使用说明](配置说明.md#开源版客户端使用说明)。

## 常驻节点配置

### 配置 `config.ini` 文件

- 将`<Server IP地址>`替换成实际的serve ip（可包含端口号）。

### 启动代码分析常驻节点

- 从TCA前端页面中获取 `token`，前往 **个人中心-个人令牌-复制Token**

  ::: tip
  作为公共节点：token需要具有超级管理员权限，如使用`CodeDog`账户的`token`。
  
  可以通过[用户管理页面](../后台管理/后台管理说明.md)查看到哪些用户是超级管理员。
  
  作为专机节点：该节点仅能分析该`token`具有权限的项目。
  :::

- 进入到`client`目录下，执行命令：`python3 codepuppy.py -l codepuppy.log start -t <token>`

- 启动后，可以在命令行输出或`codepuppy.log`中查看运行日志，如果未报异常，且输出`task loop is started.`，表示节点已经正常启动。

### 配置节点

常驻节点首次启动后，需要到节点管理页面设置节点状态（默认为`不可用`），将其设置为**`活跃`**，用于接收和执行任务。

- 进入TCA节点管理页面。`管理入口`-`节点管理`

  可以看到当前在线的节点，可以修改节点名称、标签、负责人等信息。

  ::: tip
  常驻节点首次启动后，需将节点状态从**不可用（失效）**状态切换到**活跃（在线）**状态
  :::

- 可以进入**工具进程配置**页面，对节点支持的工具进程进行管理（默认会全部勾选），未勾选的工具进程，将不会在该节点上执行。

- **节点所属标签**会与分析方案中的运行环境标签进行匹配，只有相同标签的任务才会下发到该机器节点上。
